declare const _sfc_main: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    fullMode: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {
    theme: string;
    visible: import("vue").Ref<boolean, boolean>;
    fieldAreas: import("vue").Ref<{
        title: string;
        icon: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        fields: any[];
    }[], {
        title: string;
        icon: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        fields: any[];
    }[] | {
        title: string;
        icon: import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>;
        fields: any[];
    }[]>;
    indSourceRef: import("vue").Ref<any, any>;
    maskList: import("vue").Ref<any[], any[]>;
    currentEditItem: import("vue").Ref<any, any>;
    handleOk: () => void;
    onDragAreaStart: (event: any, dataSource: {
        [key: string]: any;
    }) => void;
    onDragEnd: () => void;
    handleDeleteField: (index: number, fIndex: number) => void;
    handleEdit: (index: number, fIndex: number) => void;
    onConfirmLabel: () => void;
    onDragAdd: () => void;
    onChangeLabel: (event: any) => void;
    getContainer: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    fullMode: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    fullMode: boolean;
}, {}, {
    VNodeRender: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        node: {
            type: (ObjectConstructor | StringConstructor)[];
            required: true;
        };
    }>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        node: {
            type: (ObjectConstructor | StringConstructor)[];
            required: true;
        };
    }>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    draggable: import("vue").DefineComponent<{
        list: {
            type: ArrayConstructor;
            required: boolean;
            default: any;
        };
        modelValue: {
            type: ArrayConstructor;
            required: boolean;
            default: any;
        };
        itemKey: {
            type: (StringConstructor | FunctionConstructor)[];
            required: boolean;
        };
        clone: {
            type: FunctionConstructor;
            default: (original: any) => any;
        };
        tag: {
            type: StringConstructor;
            default: string;
        };
        move: {
            type: FunctionConstructor;
            default: any;
        };
        componentData: {
            type: ObjectConstructor;
            required: boolean;
            default: any;
        };
    }, unknown, {
        error: boolean;
    }, {
        realList(): any;
        getKey(): any;
    }, {
        getUnderlyingVm(domElement: any): any;
        getUnderlyingPotencialDraggableComponent(htmElement: any): any;
        emitChanges(evt: any): void;
        alterList(onList: any): void;
        spliceList(): void;
        updatePosition(oldIndex: any, newIndex: any): void;
        getRelatedContextFromMoveEvent({ to, related }: {
            to: any;
            related: any;
        }): any;
        getVmIndexFromDomIndex(domIndex: any): any;
        onDragStart(evt: any): void;
        onDragAdd(evt: any): void;
        onDragRemove(evt: any): void;
        onDragUpdate(evt: any): void;
        computeFutureIndex(relatedContext: any, evt: any): any;
        onDragMove(evt: any, originalEvent: any): any;
        onDragEnd(): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any[], any, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        move: Function;
        tag: string;
        clone: Function;
        list: unknown[];
        modelValue: unknown[];
        componentData: Record<string, any>;
    } & {
        itemKey?: string | Function;
    }>, {
        move: Function;
        tag: string;
        clone: Function;
        list: unknown[];
        modelValue: unknown[];
        componentData: Record<string, any>;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    DeleteOutlined: import("@ant-design/icons-vue/lib/icons/DeleteOutlined").DeleteOutlinedIconType;
}, {
    focus: {
        mounted(el: HTMLElement): void;
    };
}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _sfc_main;
